<?php
$login = query_string('1');

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));
$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));

$servidor = strtolower($dados_servidor["nome"]).".".$dados_config["dominio_padrao"];

$xml = new XMLWriter;
$xml->openMemory();
$xml->startDocument('1.0','iso-8859-1');

$xml->startElement("cameras");

$sql = mysqli_query($conexao,"SELECT * FROM ip_cameras where codigo_stm = '".$dados_stm["codigo"]."' ORDER by codigo");
while ($dados_ip_camera = mysqli_fetch_array($sql)) {

$xml->startElement("camera");
$xml->writeElement("nome", utf8_encode($dados_ip_camera["nome"]));
$xml->writeElement("url", "https://".$servidor."/".$dados_stm["login"]."/".$dados_ip_camera["stream"]."/playlist.m3u8");
$xml->endElement();

}

$xml->endElement();

header('Content-type: text/xml');

print $xml->outputMemory(true);

?>